Overview
POST/account/mfa/totp/confirmmfa

Confirm TOTP enrollment with a current code

Create a record in confirm.

Auth: bearerAuth — calls run as the authenticated user.

Request body

application/json · optional

  • codestring
Example
{
  "code": "string"
}
Responses
200

Success

  • okboolean
Example
{
  "ok": true
}
400

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
404

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
422

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/account/mfa/totp/confirm" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "code": "string"
}'
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/account/mfa/totp/confirm", {
  method: "POST",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN",
    "Content-Type": "application/json"
  },
  body: "{\n  \"code\": \"string\"\n}",
});
const data = await res.json();